Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.props
Class ScopedDockingPortPropertySet

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable
              org.flexdock.util.TypedHashtable
                  org.flexdock.docking.props.BasicDockingPortPropertySet
                      org.flexdock.docking.props.ScopedDockingPortPropertySet

All Implemented Interfaces:
  Serializable, Cloneable, Map, DockingConstants, DockingPortPropertySet, ScopedMap

    public class ScopedDockingPortPropertySet

extends BasicDockingPortPropertySet
implements ScopedMap

Author:
  Christopher Butler
See Also:
  Serialized Form

Field Summary
`static List` | `DEFAULTS`
`static List` | `GLOBALS`
`static RootDockingPortPropertySet` | `ROOT_PROPS`

Fields inherited from interface org.flexdock.docking.props.DockingPortPropertySet
`REGION_CHECKER, REGION_SIZE_EAST, REGION_SIZE_NORTH, REGION_SIZE_SOUTH, REGION_SIZE_WEST, SINGLE_TABS, TAB_PLACEMENT`

Fields inherited from interface org.flexdock.docking.DockingConstants
`ACTIVE_WINDOW, BOTTOM, CENTER, CENTER_REGION, CLOSE_ACTION, DEFAULT_PERSISTENCE_KEY, DOCKING_ID, EAST_REGION, HEAVYWEIGHT_DOCKABLES, HORIZONTAL, LEFT, MOUSE_PRESSED, NORTH_REGION, PERMANENT_FOCUS_OWNER, PIN_ACTION, REGION, RIGHT, SOUTH_REGION, TOP, UNINITIALIZED, UNINITIALIZED_RATIO, UNKNOWN_REGION, UNSPECIFIED_SIBLING_PREF, VERTICAL, WEST_REGION`

Constructor Summary
`ScopedDockingPortPropertySet()`
`ScopedDockingPortPropertySet(int initialCapacity)`
`ScopedDockingPortPropertySet(int initialCapacity, float loadFactor)`
`ScopedDockingPortPropertySet(Map t)`

Method Summary
`List` | `getDefaults()`
`List` | `getGlobals()`
`List` | `getLocals()`
`RegionChecker` | `getRegionChecker()`
`Float` | `getRegionInset(String region)`
`Map` | `getRoot()`
`Integer` | `getTabPlacement()`
`protected void` | `init()`
`Boolean` | `isSingleTabsAllowed()`

Methods inherited from class org.flexdock.docking.props.BasicDockingPortPropertySet
`getRegionInsetKey, setRegionChecker, setRegionInset, setSingleTabsAllowed, setTabPlacement`

Methods inherited from class org.flexdock.util.TypedHashtable
`get, get, get, get, get, get, get, get, getBoolean, getByte, getChar, getDouble, getFloat, getInt, getLong, getShort, getString, put, put, put, put, put, put, put, put, put`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ROOT_PROPS

    public static final RootDockingPortPropertySet ROOT_PROPS

### DEFAULTS

    public static final List DEFAULTS

### GLOBALS

    public static final List GLOBALS

Constructor Detail

### ScopedDockingPortPropertySet

    public ScopedDockingPortPropertySet()

### ScopedDockingPortPropertySet

    public ScopedDockingPortPropertySet(int initialCapacity)

### ScopedDockingPortPropertySet

    public ScopedDockingPortPropertySet(int initialCapacity,
                                        float loadFactor)

### ScopedDockingPortPropertySet

    public ScopedDockingPortPropertySet(Map t)

Method Detail

### init

    protected void init()

### getLocals

    public List getLocals()

  Specified by:
    `getLocals` in interface `ScopedMap`

### getDefaults

    public List getDefaults()

  Specified by:
    `getDefaults` in interface `ScopedMap`

### getGlobals

    public List getGlobals()

  Specified by:
    `getGlobals` in interface `ScopedMap`

### getRoot

    public Map getRoot()

  Specified by:
    `getRoot` in interface `ScopedMap`

### getRegionChecker

    public RegionChecker getRegionChecker()

  Specified by:
    `getRegionChecker` in interface `DockingPortPropertySet`
  Overrides:
    `getRegionChecker` in class `BasicDockingPortPropertySet`

### getRegionInset

    public Float getRegionInset(String region)

  Specified by:
    `getRegionInset` in interface `DockingPortPropertySet`
  Overrides:
    `getRegionInset` in class `BasicDockingPortPropertySet`

### getTabPlacement

    public Integer getTabPlacement()

  Specified by:
    `getTabPlacement` in interface `DockingPortPropertySet`
  Overrides:
    `getTabPlacement` in class `BasicDockingPortPropertySet`

### isSingleTabsAllowed

    public Boolean isSingleTabsAllowed()

  Specified by:
    `isSingleTabsAllowed` in interface `DockingPortPropertySet`
  Overrides:
    `isSingleTabsAllowed` in class `BasicDockingPortPropertySet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD